IOSS 2.0

Classes | Functions | Variables
anonymous_namespace{struc_to_unstruc.C} Namespace Reference

## Classes
struct | my_numpunct

## Functions
void | show_step (int istep, double time)
void | transfer_nodal (const Ioss::Region &region, Ioss::Region &output_region)
void | transfer_connectivity (Ioss::Region &region, Ioss::Region &output_region)
void | output_sidesets (Ioss::Region &region, Ioss::Region &output_region)
void | transfer_nodeblock (Ioss::Region &region, Ioss::Region &output_region)
void | transfer_elementblocks (Ioss::Region &region, Ioss::Region &output_region)
void | transfer_sidesets (Ioss::Region &region, Ioss::Region &output_region)
void | create_unstructured (const std::string &inpfile, const std::string &outfile)
void | transfer_sb_fields (const Ioss::Region &region, Ioss::Region &output_region, Ioss::Field::RoleType role)
template<typename T >
void | transfer_fields (const std::vector< T * > &entities, Ioss::Region &output_region, Ioss::Field::RoleType role)
void | transfer_fields (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role)
void | transfer_sb_field_data (const Ioss::Region &region, Ioss::Region &output_region, Ioss::Field::RoleType role)
void | transfer_coord (std::vector< double > &to, std::vector< double > &from, std::vector< size_t > &node_id_list)

## Variables
int | rank = 0
std::string | codename
std::string | version = "4.7"

## Function Documentation

## ◆ create_unstructured()

void anonymous_namespace{struc_to_unstruc.C}::create_unstructured | ( | const std::string & | inpfile,
|  | const std::string & | outfile
| ) |  |

## ◆ output_sidesets()

void anonymous_namespace{struc_to_unstruc.C}::output_sidesets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region
| ) |  |

## ◆ show_step()

void anonymous_namespace{struc_to_unstruc.C}::show_step | ( | int | istep,
|  | double | time
| ) |  |

## ◆ transfer_connectivity()

void anonymous_namespace{struc_to_unstruc.C}::transfer_connectivity | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region
| ) |  |

## ◆ transfer_coord()

void anonymous_namespace{struc_to_unstruc.C}::transfer_coord | ( | std::vector< double > & | to,
|  | std::vector< double > & | from,
|  | std::vector< size_t > & | node_id_list
| ) |  |

## ◆ transfer_elementblocks()

void anonymous_namespace{struc_to_unstruc.C}::transfer_elementblocks | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region
| ) |  |

## ◆ transfer_fields() [1/2]

template<typename T >

void anonymous_namespace{struc_to_unstruc.C}::transfer_fields | ( | const std::vector< T * > & | entities,
|  | Ioss::Region & | output_region,
|  | Ioss::Field::RoleType | role
| ) |  |

## ◆ transfer_fields() [2/2]

void anonymous_namespace{struc_to_unstruc.C}::transfer_fields | ( | Ioss::GroupingEntity * | ige,
|  | Ioss::GroupingEntity * | oge,
|  | Ioss::Field::RoleType | role
| ) |  |

## ◆ transfer_nodal()

void anonymous_namespace{struc_to_unstruc.C}::transfer_nodal | ( | const Ioss::Region & | region,
|  | Ioss::Region & | output_region
| ) |  |

## ◆ transfer_nodeblock()

void anonymous_namespace{struc_to_unstruc.C}::transfer_nodeblock | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region
| ) |  |

## ◆ transfer_sb_field_data()

void anonymous_namespace{struc_to_unstruc.C}::transfer_sb_field_data | ( | const Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | Ioss::Field::RoleType | role
| ) |  |

## ◆ transfer_sb_fields()

void anonymous_namespace{struc_to_unstruc.C}::transfer_sb_fields | ( | const Ioss::Region & | region,
|  | Ioss::Region & | output_region,
|  | Ioss::Field::RoleType | role
| ) |  |

## ◆ transfer_sidesets()

void anonymous_namespace{struc_to_unstruc.C}::transfer_sidesets | ( | Ioss::Region & | region,
|  | Ioss::Region & | output_region
| ) |  |

## Variable Documentation

## ◆ codename

std::string anonymous_namespace{struc_to_unstruc.C}::codename

## ◆ rank

int anonymous_namespace{struc_to_unstruc.C}::rank = 0

## ◆ version

std::string anonymous_namespace{struc_to_unstruc.C}::version = "4.7"